Skip to content
Permalink
Browse files

Update baseline to 1.580.1.

This allows us to pick up the SECURITY-144 fix from core and thus avoid JENKINS-25625.
  • Loading branch information
jglick committed Jun 15, 2015
1 parent 1f1bacf commit c5223dea3ec253d24e76f1939501a1a80cfad348
Showing with 12 additions and 19 deletions.
  1. +6 −7 pom.xml
  2. +1 −1 src/main/java/hudson/maven/MavenModuleSet.java
  3. +5 −11 src/main/java/hudson/maven/MavenModuleSetBuild.java
13 pom.xml
@@ -29,7 +29,7 @@ THE SOFTWARE.
<parent>
<groupId>org.jenkins-ci.plugins</groupId>
<artifactId>plugin</artifactId>
<version>1.554.3</version>
<version>1.580.1</version>
</parent>

<groupId>org.jenkins-ci.main</groupId><!-- for historical reason, this plugin has a different groupId -->
@@ -86,6 +86,11 @@ THE SOFTWARE.
<artifactId>mailer</artifactId>
<version>1.7</version>
</dependency>
<dependency>
<groupId>org.jenkins-ci.plugins</groupId>
<artifactId>junit</artifactId>
<version>1.6</version>
</dependency>
<dependency>
<groupId>javax.servlet</groupId>
<artifactId>servlet-api</artifactId>
@@ -389,12 +394,6 @@ THE SOFTWARE.
<scope>provided</scope>
</dependency>

<dependency>
<groupId>org.jenkins-ci</groupId>
<artifactId>SECURITY-144-compat</artifactId>
<version>1.0</version>
</dependency>

<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
@@ -907,7 +907,7 @@ protected void buildDependencyGraph(DependencyGraph graph) {
// m.buildDependencyGraph(graph);
// }

triggers().buildDependencyGraph(this, graph); // TODO 1.558+ just call super.buildDependencyGraph(graph)
super.buildDependencyGraph(graph);
publishers.buildDependencyGraph(this,graph);
buildWrappers.buildDependencyGraph(this,graph);
prebuilders.buildDependencyGraph(this,graph);
@@ -188,22 +188,16 @@ public EnvVars getEnvironment(TaskListener log) throws IOException, InterruptedE
MavenModule root = getProject().getRootModule();
if (root!=null) {// I don't think it can ever be null but let's be defensive
// TODO: this needs to be documented but where?
envs(envs, "POM_DISPLAYNAME", root.getDisplayName());
envs(envs, "POM_VERSION", root.getVersion());
envs(envs, "POM_GROUPID", root.getGroupId());
envs(envs, "POM_ARTIFACTID", root.getArtifactId());
envs(envs, "POM_PACKAGING", root.getPackaging());
envs.putIfNotNull("POM_DISPLAYNAME", root.getDisplayName());
envs.putIfNotNull("POM_VERSION", root.getVersion());
envs.putIfNotNull("POM_GROUPID", root.getGroupId());
envs.putIfNotNull("POM_ARTIFACTID", root.getArtifactId());
envs.putIfNotNull("POM_PACKAGING", root.getPackaging());
}

return envs;
}

private void envs(EnvVars env, String key, String value) {
// TODO: switch to EnvVars.putIfNotNull when on 1.556+
if (value!=null)
env.put(key,value);
}

/**
* Displays the combined status of all modules.
* <p>

0 comments on commit c5223de

Please sign in to comment.
You can’t perform that action at this time.